//TEST BLUETOOTH
//BOLT SYSTEM CONNECTED TO SERIAL PORT 9600 BPS
//BOLT SENDS "AT+NAMEBlueBolt" AND WAITS "OKsetname" 
//FROM BLUETOOTH
//WRITE ON LCD TEXT: "OKsetname".
/**************TEST OK*************/

#include <p18cxxx.h>
#include <delays.h>
#include <usart.h>
#include <stdio.h>		//librera sprintf()
#include <stdlib.h>		//libreras atoi(),atof()
#include "18F2550BOLT.h"

extern void _startup( void ); // See c018i.c in your C18 compiler dir 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 
#pragma code

char getcECO(void);
char getcNOECO(void);
char a,b,c,d,e,x,y,z;
char array[]="AT+NAMEBlueBolt"; 
void main()
{
init_bolt();
OpenUSART(USART_TX_INT_OFF & USART_RX_INT_ON &
USART_ASYNCH_MODE & USART_EIGHT_BIT &
USART_CONT_RX & USART_BRGH_LOW, 77);				//SPBRG = 77 PARA 9600 BPS
InitLCD( );
	ClearScreen();
	RELE=1;
	delay_ms(100);
	RELE=0;
	delay_ms(100);
		for(z=0;z<15;z++)
		{
		putcUSART(array[z]);	//MANDA COMANDO
		delay_ms(20);
		}
		for(z=0;z<9;z++)
		{
		array[z]=getcNOECO();	//LEE RESPUESTA		
		}
		for(z=0;z<8;z++)
		{
		PutLCD(array[z]);		//ESCRIBE EN LCD RENGLON 0
		}
		GotoXY(1,0);
		for(z=8;z<9;z++)		//ESCRIBE EN LCD RENGLON 1
		{
		PutLCD(array[z]);		//ESCRIBE EN LCD
		}
	for(;;);
} 


/*FUNCION ESPERA UN CARACTER DEL PUERTO SERIAL, LO LEE Y ENVIA EL ECO*/
/*REGRESA CON EL VALOR DEL CARACTER LEIDO*/
char getcECO(void)
{
char a;				
	while (!DataRdyUSART());			//ESPERA BANDERA LISTA
	{
	a=getcUSART();						//LEE UN CARACTER DEL USART
	putcUSART(a);						//ENVIA EL ECO
	}
return a;								//REGRESA DE LA FUNCION CON CARACTER LEIDO
}

/*FUNCION ESPERA UN CARACTER DEL PUERTO SERIAL, LO LEE Y*/
/*REGRESA CON EL VALOR DEL CARACTER LEIDO*/
char getcNOECO(void)
{
char a;				
	while (!DataRdyUSART());			//ESPERA BANDERA LISTA
	{
	a=getcUSART();						//LEE UN CARACTER DEL USART,NO HAY ECO
	}
return a;								//REGRESA DE LA FUNCION CON CARACTER LEIDO
}